HP Views Designer Assistant: MainWindowController Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Member Functions | Private Attributes | List of all members
MainWindowController Class Reference

The MainWindowController class. More...

`#include <mainwindowcontroller.h>`

## Public Member Functions

| MainWindowController (MainWindow *view)
| MainWindowController controller. More...
void | settingsOption ()
| settingsOption Changes the view to the settings view.
void | helpOption ()
| helpOption Shows the help into the web explorer.
void | createMenuScreen ()
| createMenuScreen Changes the view to the creates menu view.
void | createInformationScreen ()
| createInformationScreen Changes the view to the creates information view.
void | createInkScreen ()
| createInkScreen Changes the view to the creates ink view.
void | edit ()
| edit Shows edit view.
void | editScreenFromFile (QString file)
| editScreenFromFile Obtains the interface which represents the QML file. More...

## Private Member Functions

void | selectedType (Interfaz *interfaz, int type)
| selectedType Shows the edit view depends on the type of the interface. More...

## Private Attributes

MainWindow * | view
| view Main window view.
QWidget * | editScreen
| editScreen Edit screen view.

## Detailed Description

The MainWindowController class.

## Constructor & Destructor Documentation

## ◆ MainWindowController()

MainWindowController::MainWindowController | ( | MainWindow * | view | ) |

MainWindowController controller.

Parameters

  view | Main window view.

## Member Function Documentation

## ◆ editScreenFromFile()

void MainWindowController::editScreenFromFile | ( | QString | file | ) |

editScreenFromFile Obtains the interface which represents the QML file.

Parameters

  file | QML file path

## ◆ selectedType()

void MainWindowController::selectedType | ( | Interfaz * | interfaz,
|  | int | type
| ) |  |

private

selectedType Shows the edit view depends on the type of the interface.

Parameters

  interfaz | Interface to edit.
  type | Tpye of the interface.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Controller/mainwindowcontroller.h
- D:/Documentos/ViewDesignerAssistant/Controller/mainwindowcontroller.cpp